# Interface: AppleVerifyReceiptResponseReceipt

[AppleAppStore](../modules/CdvPurchase.AppleAppStore.md).[VerifyReceipt](../modules/CdvPurchase.AppleAppStore.VerifyReceipt.md).AppleVerifyReceiptResponseReceipt

## Table of contents

### Properties

- [adam\_id](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#adam_id)
- [app\_item\_id](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#app_item_id)
- [application\_version](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#application_version)
- [bundle\_id](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#bundle_id)
- [download\_id](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#download_id)
- [expiration\_date](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#expiration_date)
- [expiration\_date\_ms](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#expiration_date_ms)
- [expiration\_date\_pst](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#expiration_date_pst)
- [in\_app](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#in_app)
- [original\_application\_version](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#original_application_version)
- [original\_purchase\_date](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#original_purchase_date)
- [original\_purchase\_date\_ms](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#original_purchase_date_ms)
- [original\_purchase\_date\_pst](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#original_purchase_date_pst)
- [preorder\_date](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#preorder_date)
- [preorder\_date\_ms](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#preorder_date_ms)
- [preorder\_date\_pst](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#preorder_date_pst)
- [receipt\_creation\_date](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#receipt_creation_date)
- [receipt\_creation\_date\_ms](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#receipt_creation_date_ms)
- [receipt\_creation\_date\_pst](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#receipt_creation_date_pst)
- [receipt\_type](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#receipt_type)
- [request\_date](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#request_date)
- [request\_date\_ms](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#request_date_ms)
- [request\_date\_pst](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#request_date_pst)
- [version\_external\_identifier](CdvPurchase.AppleAppStore.VerifyReceipt.AppleVerifyReceiptResponseReceipt.md#version_external_identifier)

## Properties

### adam\_id

• **adam\_id**: `number`

See app_item_id.

___

### app\_item\_id

• **app\_item\_id**: `number`

Generated by App Store Connect and used by the App Store to uniquely
identify the app purchased. Apps are assigned this identifier only in
production. Treat this value as a 64-bit long integer.

___

### application\_version

• **application\_version**: `string`

The app’s version number. The app's version number corresponds to the
value of CFBundleVersion (in iOS) or CFBundleShortVersionString (in macOS)
in the Info.plist. In production, this value is the current version of the
app on the device based on the receipt_creation_date_ms. In the sandbox,
the value is always "1.0".

___

### bundle\_id

• **bundle\_id**: `string`

The bundle identifier for the app to which the receipt belongs. You
provide this string on App Store Connect. This corresponds to the value of
CFBundleIdentifier in the Info.plist file of the app.

___

### download\_id

• **download\_id**: `number`

A unique identifier for the app download transaction.

___

### expiration\_date

• `Optional` **expiration\_date**: `string`

The time the receipt expires for apps purchased through the Volume
Purchase Program, in a date-time format similar to the ISO 8601.

___

### expiration\_date\_ms

• `Optional` **expiration\_date\_ms**: `string`

The time the receipt expires for apps purchased through the Volume
Purchase Program, in UNIX epoch time format, in milliseconds. If this key
is not present for apps purchased through the Volume Purchase Program, the
receipt does not expire. Use this time format for processing dates.

___

### expiration\_date\_pst

• `Optional` **expiration\_date\_pst**: `string`

in the Pacific Time zone.

___

### in\_app

• **in\_app**: `string` \| [`AppleTransaction`](CdvPurchase.AppleAppStore.VerifyReceipt.AppleTransaction.md)[]

An array that contains the in-app purchase receipt fields for all in-app
purchase transactions.

___

### original\_application\_version

• **original\_application\_version**: `string`

The version of the app that the user originally purchased. This value
does not change, and corresponds to the value of CFBundleVersion (in iOS)
or CFBundleShortVersionString (in macOS) in the Info.plist file of the
original purchase. In the sandbox environment, the value is always "1.0".

___

### original\_purchase\_date

• **original\_purchase\_date**: `string`

The time of the original app purchase, in a date-time format similar to
ISO 8601.

___

### original\_purchase\_date\_ms

• **original\_purchase\_date\_ms**: `string`

The time of the original app purchase, in UNIX epoch time format, in
milliseconds. Use this time format for processing dates.

___

### original\_purchase\_date\_pst

• **original\_purchase\_date\_pst**: `string`

The time of the original app purchase, in the Pacific Time zone.

___

### preorder\_date

• `Optional` **preorder\_date**: `string`

The time the user ordered the app available for pre-order, in a date-time
format similar to ISO 8601.

___

### preorder\_date\_ms

• `Optional` **preorder\_date\_ms**: `string`

The time the user ordered the app available for pre-order, in UNIX epoch
time format, in milliseconds. This field is only present if the user
pre-orders the app. Use this time format for processing dates.

___

### preorder\_date\_pst

• `Optional` **preorder\_date\_pst**: `string`

in the Pacific Time zone.

___

### receipt\_creation\_date

• **receipt\_creation\_date**: `string`

The time the App Store generated the receipt, in a date-time format
similar to ISO 8601.

___

### receipt\_creation\_date\_ms

• **receipt\_creation\_date\_ms**: `string`

The time the App Store generated the receipt, in UNIX epoch time format,
in milliseconds. Use this time format for processing dates. This value
does not change.

___

### receipt\_creation\_date\_pst

• **receipt\_creation\_date\_pst**: `string`

in the Pacific Time zone.

___

### receipt\_type

• **receipt\_type**: [`AppleReceiptType`](../modules/CdvPurchase.AppleAppStore.VerifyReceipt.md#applereceipttype)

The type of receipt generated. The value corresponds to the environment
in which the app or VPP purchase was made. Possible values: Production,
ProductionVPP, ProductionSandbox, ProductionVPPSandbox

___

### request\_date

• **request\_date**: `string`

The time the request to the verifyReceipt endpoint was processed and the
response was generated, in a date-time format similar to ISO 8601.

___

### request\_date\_ms

• **request\_date\_ms**: `string`

The time the request to the verifyReceipt endpoint was processed and the
response was generated, in UNIX epoch time format, in milliseconds. Use
this time format for processing dates.

___

### request\_date\_pst

• **request\_date\_pst**: `string`

The time the request to the verifyReceipt endpoint was processed and the
response was generated, in the Pacific Time zone.

___

### version\_external\_identifier

• **version\_external\_identifier**: `number`

An arbitrary number that identifies a revision of your app. In the
sandbox, this key's value is “0”.
