# Interface: PostalAddress

[CdvPurchase](../modules/CdvPurchase.md).[ApplePay](../modules/CdvPurchase.ApplePay.md).PostalAddress

Postal address for a contact.

## Table of contents

### Properties

- [ISOCountryCode](CdvPurchase.ApplePay.PostalAddress.md#isocountrycode)
- [city](CdvPurchase.ApplePay.PostalAddress.md#city)
- [country](CdvPurchase.ApplePay.PostalAddress.md#country)
- [postalCode](CdvPurchase.ApplePay.PostalAddress.md#postalcode)
- [state](CdvPurchase.ApplePay.PostalAddress.md#state)
- [street](CdvPurchase.ApplePay.PostalAddress.md#street)
- [subAdministrativeArea](CdvPurchase.ApplePay.PostalAddress.md#subadministrativearea)
- [subLocality](CdvPurchase.ApplePay.PostalAddress.md#sublocality)

## Properties

### ISOCountryCode

• `Optional` **ISOCountryCode**: `string`

The ISO country code for the country or region in a postal address, using the ISO 3166-1 alpha-2 standard.

___

### city

• `Optional` **city**: `string`

The city name in a postal address.

___

### country

• `Optional` **country**: `string`

The country or region name in a postal address.

___

### postalCode

• `Optional` **postalCode**: `string`

The postal code in a postal address.

___

### state

• `Optional` **state**: `string`

The state name in a postal address.

___

### street

• `Optional` **street**: `string`

The street name in a postal address.

___

### subAdministrativeArea

• `Optional` **subAdministrativeArea**: `string`

The subadministrative area (such as a county or other region) in a postal address.

___

### subLocality

• `Optional` **subLocality**: `string`

Additional information associated with the location, typically defined at the city or town level, in a postal address.
