# Interface: PostalAddress

[CdvPurchase](../modules/CdvPurchase.md).PostalAddress

Postal address for payment requests.

## Table of contents

### Properties

- [countryCode](CdvPurchase.PostalAddress.md#countrycode)
- [givenName](CdvPurchase.PostalAddress.md#givenname)
- [locality](CdvPurchase.PostalAddress.md#locality)
- [phoneNumber](CdvPurchase.PostalAddress.md#phonenumber)
- [postalCode](CdvPurchase.PostalAddress.md#postalcode)
- [region](CdvPurchase.PostalAddress.md#region)
- [streetAddress1](CdvPurchase.PostalAddress.md#streetaddress1)
- [streetAddress2](CdvPurchase.PostalAddress.md#streetaddress2)
- [streetAddress3](CdvPurchase.PostalAddress.md#streetaddress3)
- [surname](CdvPurchase.PostalAddress.md#surname)

## Properties

### countryCode

• `Optional` **countryCode**: `string`

2 letter country code

___

### givenName

• `Optional` **givenName**: `string`

Given name associated with the address.

___

### locality

• `Optional` **locality**: `string`

City name

___

### phoneNumber

• `Optional` **phoneNumber**: `string`

The phone number associated with the address

Note: Only numbers. Remove dashes, parentheses and other characters

___

### postalCode

• `Optional` **postalCode**: `string`

Zip code or equivalent is usually required for countries that have them.

For a list of countries that do not have postal codes please refer to http://en.wikipedia.org/wiki/Postal_code

___

### region

• `Optional` **region**: `string`

Either a two-letter state code (for the US), or an ISO-3166-2 country subdivision code of up to three letters.

___

### streetAddress1

• `Optional` **streetAddress1**: `string`

Line 1 of the Address (eg. number, street, etc)

___

### streetAddress2

• `Optional` **streetAddress2**: `string`

Line 2 of the Address (eg. suite, apt #, etc.)

___

### streetAddress3

• `Optional` **streetAddress3**: `string`

Line 3 of the Address (eg. suite, apt #, etc.)

___

### surname

• `Optional` **surname**: `string`

Surname associated with the address.
